package XSA;

import java.util.Hashtable;

import org.xml.sax.*;

/**
 * A SAX ErrorHandler for reporting parse errors. This is separate from the
 * SAXHandler since it is the same for all DTDs.
 */

class SAXErrorHandler extends HandlerBase {
  private XSAClient client;
  private String sysid;

  public SAXErrorHandler(String _sysid, XSAClient _client) {
    client=_client;
    sysid=_sysid;
  }
  
  // --- Error handling

  public void error (SAXParseException e) throws SAXException {
    client.error(sysid,"At "+e.getLineNumber()+":"+e.getColumnNumber()+": "+
		 e.getMessage());
  }

  public void fatalError (SAXParseException e) throws SAXException {
    client.error(sysid,"At "+e.getLineNumber()+":"+e.getColumnNumber()+": "+
		 e.getMessage());
  }

}
