
// $Id: ValidatingSAXParserFactory.java,v 1.3 1999/03/22 09:27:17 larsga Exp $

package XSA.Util;

import org.xml.sax.Parser;
import org.xml.sax.helpers.ParserFactory;

/**
 * This parser factory has a preset list of known validating SAX parsers
 * which it runs through to see if any of them are installed. If the
 * org.xml.sax.parser property is set this parser will be used.
 * @author Lars Marius Garshol (larsga@ifi.uio.no)
 */

public class ValidatingSAXParserFactory {
  private static String[] valDrivers=
    {"com.sun.xml.parser.ValidatingParser",
     "com.megginson.sax.LarvalDriver",
     "com.ibm.xml.parser.SAXDriver",
     "fr.loria.xml.sax.SAXDriver",
     "org.openxml.sax.SAXParser"
    };

  /**
   * Returns the name of an installed validating parser by first trying the
   * org.xml.sax.parser property and a preset list of parsers.
   * @returns The class name of the driver or null if none was found.
   */

  public static String findParser() {
    return AnySAXParserFactory.findParser(valDrivers);
  }  
}
